WRT54G v1.1 and v3 firmware versions -- confused!

Post new topic   Reply to topic    DD-WRT Forum Index -> Broadcom SoC based Hardware
Author Message
zelbinion
DD-WRT Novice


Joined: 17 Jul 2009
Posts: 11

PostPosted: Fri Jul 17, 2009 7:02    Post subject: WRT54G v1.1 and v3 firmware versions -- confused! Reply with quote
I have two linksys routers:
WRT54G v1.1
WRT54G v3

I am trying to figure what version of what firmware to try loading (both have factory linksys firmware at the moment) and I'm getting conflicting recommendations from various places on the dd-wrt site, wiki, and forum and would like some help.

The supported devices database here:
http://www.dd-wrt.com/dd-wrtv3/dd-wrt/hardware.html
recommends v24 build 12188 for both the v1.1 and the v3.

However, the peacock thread here:
http://www.dd-wrt.com/phpBB2/viewtopic.php?t=51486
says to ignore the supported devices database as it is out of date, and instead recommends:
SVN11296
...and further on, it also recommends:
EKO12307
and then:
21/05/09 12188
06/03/09 12255
06/05/09 12262
06/12/09 12279
06/13/09 12288
06/19/09 12318
without a great deal of information about how to pick between them.

The peacock thread also mentions eko vs. brainslayer builds (two different directory trees on the download site, the recommended builds from above come from either one or the other.) What's the difference between eko and brainslayer? How do I choose between them?

All of the recommended builds on the peacock thread are V24. However, in the install wiki, here:
http://www.dd-wrt.com/wiki/index.php/Linksys_WRT54G/GL/GS/GX#v1.0_.26_v1.1
It says NOT to use V24 builds on the WRT54G v1.x as it will brick the router.

I'm doing my best to figure this out myself, but every bit of information I find seems to be discounted/countermanded by another part of the site.

Which of these conflicting recommendations do I follow?

Thanks for any assistance.
BTW: I'm trying to set up the pair of routers as a wireless bridge between two buildings, if that helps any.
Sponsor
autobot
DD-WRT Guru


Joined: 07 May 2009
Posts: 1596

PostPosted: Fri Jul 17, 2009 7:23    Post subject: Reply with quote
Ok let's see what I can do to help.

You shouldn't use v24sp1, any of the 12XXX series should be ok, the difference between Eko and brainslayer builds are the compiler toolchains used (same source), I think there maybe a two step process to flash your router but I may be wrong about that, you will have to research a little more. Hope that clears up things a little.
barryware
DD-WRT Guru


Joined: 26 Jan 2008
Posts: 13049
Location: Behind The Reset Button

PostPosted: Fri Jul 17, 2009 13:32    Post subject: Reply with quote
Both the V1.1 & The V3 can be flashed via the linksys GUI upgrade page.

Use a trailed BS mini build 1st. Trailed means that the name if the router is part of the file name. It has a special header to allow the linksys upgrade to accept the dd-wrt firmware.

The build will have wrt54g in the file name.

AV & firewall software off on the rig to do the flashing.

May the force be with you. Don't forget to check the wiki for explicit install instructions and additional information on your router(s).

_________________
[Moderator Deleted] Shocked
Murrkf
DD-WRT Guru


Joined: 22 Sep 2008
Posts: 12675

PostPosted: Fri Jul 17, 2009 14:37    Post subject: Reply with quote
Problem is that they are all good.


I would put 11296 on the routers and be done. Good, stable, well tested build. You could also do 11793....a bit of a black horse but seems rock solid. For a newer build, not as well tested but working well, go to 12307.

You are likely going to notice NO difference between these builds on your router. However, the 1.1 might need VINT. BS doesn't do VINT, so you will have to use EKO if using a newer build.

_________________
SIG:
I'm trying to teach you to fish, not give you a fish. If you just want a fish, wait for a fisherman who hands them out. I'm more of a fishing instructor.
LOM: "If you show that you have not bothered to read the forum announcements or to follow the advices in them then the level of help available for you will drop substantially, also known as Murrkf's law.."
zelbinion
DD-WRT Novice


Joined: 17 Jul 2009
Posts: 11

PostPosted: Fri Jul 17, 2009 17:03    Post subject: Reply with quote
Murrkf wrote:
Problem is that they are all good.

You are likely going to notice NO difference between these builds on your router. However, the 1.1 might need VINT. BS doesn't do VINT, so you will have to use EKO if using a newer build.


Thanks for the note on VINT for the v1.1 -- the hardware database lists the broadcom chip used in the v1.1 as an older chip that requires VINT. It looks like the v3 should work with VINT or NEWD, but I did not realize that the BS builds don't support VINT, so you just saved me some grief there, thank you.
barryware
DD-WRT Guru


Joined: 26 Jan 2008
Posts: 13049
Location: Behind The Reset Button

PostPosted: Fri Jul 17, 2009 17:10    Post subject: Reply with quote
I believe the v1.1 will have a corerev of 7. This would indicate that it will run newd.

@zelbinion...

Install vint and then get us the corerev.

To get the corerev of your unit, from telnet or the administration => commands tab:

nvram show|grep corerev

Gracias

_________________
[Moderator Deleted] Shocked
redhawk0
DD-WRT Guru


Joined: 04 Jan 2007
Posts: 11526
Location: Wherever the wind blows- North America

PostPosted: Fri Jul 17, 2009 17:28    Post subject: Reply with quote
Load VINT on the V1.1....I believe it is actually a corerev=5 unit.

But both those versions will run the VINT builds if you only want to download and use a single build.

redhawk
Murrkf
DD-WRT Guru


Joined: 22 Sep 2008
Posts: 12675

PostPosted: Fri Jul 17, 2009 17:43    Post subject: Re: WRT54G v1.1 and v3 firmware versions -- confused! Reply with quote
zelbinion wrote:

I am trying to figure what version of what firmware to try loading (both have factory linksys firmware at the moment) and I'm getting conflicting recommendations from various places on the dd-wrt site, wiki, and forum and would like some help.


Thank you for your input on this. Note 3 of the Peacock thread has now been edited to deal (hopefully) more clearly with this issue. If you want to take a look and PM me with any comments, I will be happy to hear them.

_________________
SIG:
I'm trying to teach you to fish, not give you a fish. If you just want a fish, wait for a fisherman who hands them out. I'm more of a fishing instructor.
LOM: "If you show that you have not bothered to read the forum announcements or to follow the advices in them then the level of help available for you will drop substantially, also known as Murrkf's law.."
zelbinion
DD-WRT Novice


Joined: 17 Jul 2009
Posts: 11

PostPosted: Sat Jul 18, 2009 6:28    Post subject: Re: WRT54G v1.1 and v3 firmware versions -- confused! Reply with quote
Thanks everyone for your help. I was able to get the EKO VINT 12307 build installed and working on both routers. Next step is getting them working as a wireless bridge, but it looks like there is a pretty good step by step guide on that here: http://www.dd-wrt.com/wiki/index.php/Wireless_Bridge

This is my first time trying dd-wrt, and so far I'm very impressed!
autobot
DD-WRT Guru


Joined: 07 May 2009
Posts: 1596

PostPosted: Sat Jul 18, 2009 6:33    Post subject: Reply with quote
Good to hear you got it going, now onward to the configuration and trials and tribulations of your fresh DD-WRT installs.
Display posts from previous:    Page 1 of 1
Post new topic   Reply to topic    DD-WRT Forum Index -> Broadcom SoC based Hardware All times are GMT

Navigation

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum